com.jscape.inet.ssh

## Class SshConfiguration

- java.lang.Object
- - com.jscape.inet.ssh.SshConfiguration

-     public class SshConfiguration
      extends java.lang.Object

  A SSH protocol configuration.
  Author:
    Alex Usun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CompressionFactory` | `compressionFactory`
    `static int` | `DEFAULT_PACKET_SIZE`
    `static int` | `DEFAULT_WINDOW_SIZE`
    `EncryptionFactory` | `encryptionFactory`
    `com.jscape.inet.ssh.protocol.messages.IdentificationString` | `identificationString`
    `int` | `initialWindowSize`
    `ClientKeyExchangeFactory` | `keyExchangeFactory`
    `MacFactory` | `macFactory`
    `int` | `maxPacketSize`
    `com.jscape.inet.ssh.protocol.v2.messages.PublicKeyAlgorithm[]` | `publicKeyAlgorithms`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SshConfiguration(java.lang.String softwareVersion, java.lang.String identificationStringComments, com.jscape.inet.ssh.protocol.v2.messages.PublicKeyAlgorithm[] publicKeyAlgorithms, ClientKeyExchangeFactory keyExchangeFactory, EncryptionFactory encryptionFactory, MacFactory macFactory, CompressionFactory compressionFactory, int initialWindowSize, int maxPacketSize)` Creates a new configuration instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SshConfiguration` | `configurationFor(ClientKeyExchangeFactory keyExchangeFactory, EncryptionFactory encryptionFactory, MacFactory macFactory, CompressionFactory compressionFactory)` Returns a configuration instance for specified parameters.
    `static SshConfiguration` | `defaultClientConfiguration()` Returns a configuration instance with default parameters for client side.
    `static SshConfiguration` | `defaultClientConfiguration(java.lang.String softwareVersion)` Returns a configuration instance with default parameters for client side.
    `static SshConfiguration` | `defaultServerConfiguration()` Returns a configuration instance with default parameters for server side.
    `static SshConfiguration` | `defaultServerConfiguration(java.lang.String softwareVersion)` Returns a configuration instance with default parameters for server side.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_WINDOW_SIZE

          public static final int DEFAULT_WINDOW_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_PACKET_SIZE

          public static final int DEFAULT_PACKET_SIZE

      See Also:
        Constant Field Values

    - #### identificationString

          public com.jscape.inet.ssh.protocol.messages.IdentificationString identificationString

    - #### publicKeyAlgorithms

          public com.jscape.inet.ssh.protocol.v2.messages.PublicKeyAlgorithm[] publicKeyAlgorithms

    - #### keyExchangeFactory

          public ClientKeyExchangeFactory keyExchangeFactory

    - #### encryptionFactory

          public EncryptionFactory encryptionFactory

    - #### macFactory

          public MacFactory macFactory

    - #### compressionFactory

          public CompressionFactory compressionFactory

    - #### initialWindowSize

          public int initialWindowSize

    - #### maxPacketSize

          public int maxPacketSize

  - ### Constructor Detail

    - #### SshConfiguration

          public SshConfiguration(java.lang.String softwareVersion,
                                  java.lang.String identificationStringComments,
                                  com.jscape.inet.ssh.protocol.v2.messages.PublicKeyAlgorithm[] publicKeyAlgorithms,
                                  ClientKeyExchangeFactory keyExchangeFactory,
                                  EncryptionFactory encryptionFactory,
                                  MacFactory macFactory,
                                  CompressionFactory compressionFactory,
                                  int initialWindowSize,
                                  int maxPacketSize)

      Creates a new configuration instance.
      Parameters:
        `softwareVersion` - a software version
        `identificationStringComments` - an identification string coments
        `keyExchangeFactory` - a key exchange factory
        `encryptionFactory` - an encryption factory
        `macFactory` - a MAC factory
        `compressionFactory` - a compression factory
        `initialWindowSize` - an initial window size in bytes
        `maxPacketSize` - a max packet size in bytes

  - ### Method Detail

    - #### defaultServerConfiguration

          public static SshConfiguration defaultServerConfiguration(java.lang.String softwareVersion)

      Returns a configuration instance with default parameters for server side.
      Parameters:
        `softwareVersion` - a a software version
      Returns:
        a configuration instance

    - #### defaultServerConfiguration

          public static SshConfiguration defaultServerConfiguration()

      Returns a configuration instance with default parameters for server side.
      Returns:
        a configuration instance

    - #### defaultClientConfiguration

          public static SshConfiguration defaultClientConfiguration(java.lang.String softwareVersion)

      Returns a configuration instance with default parameters for client side.
      Parameters:
        `softwareVersion` - a a software version
      Returns:
        a configuration instance

    - #### defaultClientConfiguration

          public static SshConfiguration defaultClientConfiguration()

      Returns a configuration instance with default parameters for client side.
      Returns:
        a configuration instance

    - #### configurationFor

          public static SshConfiguration configurationFor(ClientKeyExchangeFactory keyExchangeFactory,
                                                          EncryptionFactory encryptionFactory,
                                                          MacFactory macFactory,
                                                          CompressionFactory compressionFactory)

      Returns a configuration instance for specified parameters.
      Parameters:
        `keyExchangeFactory` - a a key exchange factory
        `encryptionFactory` - an encryption factory
        `macFactory` - a MAC factory
        `compressionFactory` - a compression factory
      Returns:
        a configuration instance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved